Loading...
Searching...
No Matches
test_suite.cpp File Reference

Test suite for project 2. More...

`#include <cassert>`
`#include <cmath>`
`#include <iostream>`
`#include "utils.hpp"`
`#include "matrix.hpp"`
`#include "jacobi.hpp"`

## Functions

void | test_create_symmetric_tridiagonal ()
void | test_max_off_diag_symmetric ()
void | test_jacobi_eigensolver ()
int | main ()

## Detailed Description

Test suite for project 2.

This is where all the tests for the project are implemented. The tests test the creation of symmetrical tridiagonals, finding the largest off-diagonal absolute value of a symmetric matrix, and the Jacobi rotation method.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Bug:
  No known bugs